probe::irq_handler.entry
Prev | Chapter 12. Interrupt Request (IRQ) Tapset | Next

## Name

probe::irq_handler.entry — Execution of interrupt handler starting

## Synopsis

    irq_handler.entry

## Values

`dev_id`

  Cookie to identify device

`handler`

  interrupt handler function

`next_irqaction`

  pointer to next irqaction for shared interrupts

`flags_str`

  symbolic string representation of IRQ flags

`thread_flags`

  Flags related to thread

`dev_name`

  name of device

`action`

  struct irqaction* for this interrupt num

`irq`

  irq number

`thread`

  thread pointer for threaded interrupts

`thread_fn`

  interrupt handler function for threaded interrupts

`flags`

  Flags for IRQ handler

`dir`

  pointer to the proc/irq/NN/name entry

Prev | Up | Next
Chapter 12. Interrupt Request (IRQ) Tapset | Home | probe::irq_handler.exit